Subject: Re: [PATCH 2/2] commit, write-tree: allow to ignore CE_INTENT_TO_ADD while writing trees

From: Jonathan Nieder <[email-masked]>
Date: Mon, 16 Jan 2012 20:47:20 -0600

Nguyen Thai Ngoc Duy wrote:

> Although I would not oppose deprecating the old behavior if you go with (2) ;)

My reaction on reading the patch and clarifying followup was similar
to Junio's.  I don't think a configuration item makes sense unless we
are planning to flip the default in the future, and it would probably
be clearer to document it that way.

By the way, thanks very much for working on this.  I wish I had more
time to offer more than comments.

Sincerely,
Jonathan